%global momorel 1
%global m17n_lib_ver 1.3.4
%global scim_ver 1.4.5
%global scim_major_version 1.4.0
%global md5sum_src0 17d43799d0df9838c1cd5886ea376105

Summary: M17N Input Method Engine for SCIM
Name: scim-m17n
Version: 0.2.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.scim-im.org/projects/imengines
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/scim/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: %{name}-no-M17N-prefix.patch
Requires: scim >= %{scim_ver}
Requires: m17n-lib >= %{m17n_lib_ver}
BuildRequires: scim-devel >= %{scim_ver}
BuildRequires: m17n-lib-devel >= %{m17n_lib_ver}

%description
scim-m17n provides a SCIM IMEngine for m17n-lib, which allows
input of many languages using the input table maps from m17n-db.

%prep
%setup -q

%patch0 -p1 -b .name-prefix

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/m17n.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/m17n.so
%{_datadir}/scim/icons/scim-m17n.png

%changelog
* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- initial package for Momonga Linux
- import no-M17N-prefix.patch from Fedora
